# In all environments, the following files are loaded if they exist,
# the later taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices/configuration.html#infrastructure-related-configuration

###> symfony/framework-bundle ###
APP_ENV=dev
APP_SECRET=953323f4e013d562373b0e94d5de79f1
#TRUSTED_PROXIES=127.0.0.1,127.0.0.2
#TRUSTED_HOSTS='^localhost|example\.com$'
###< symfony/framework-bundle ###
COMMUNI_JSON_WEB_TOKEN='token'
COMMUNI_EVENT_GROUP_ID='1591'
KOOL_URL='https://kool.mustergemeinde.com'
KOOL_USER_HASH='hash'
KOOL_EGS_PARAMETER='p2359'
IMAGE_LIST_URL='https://blog.itscoding.ch/images/'
# https://regex101.com
DESCRIPTION_FILTER_REGEX='/FLYER|/m'
###> symfony/swiftmailer-bundle ###
# For Gmail as a transport, use: "gmail://username:password@localhost"
# For a generic SMTP server, use: "smtp://localhost:25?encryption=&auth_mode="
# Delivery is disabled by default via "null://localhost"
MAILER_URL=null://localhost
###< symfony/swiftmailer-bundle ###
# who  should send the log mails? normally this should match your mail settings (MAILER_URL) [mailaddress]
LOG_MAIL_SENDER='test@itscoidng.ch'
# who should Receive the log mails? [mailaddress]
LOG_MAIL_RECEIVER='simon.d.mueller@gmail.com'

###> doctrine/doctrine-bundle ###
# Format described at https://www.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url
# IMPORTANT: You MUST configure your server version, either here or in config/packages/doctrine.yaml
#
# DATABASE_URL="sqlite:///%kernel.project_dir%/var/data.db"
DATABASE_URL="mysql://db_user:db_password@127.0.0.1:3306/db_name?serverVersion=5.7"
#DATABASE_URL="postgresql://db_user:db_password@127.0.0.1:5432/db_name?serverVersion=13&charset=utf8"
###< doctrine/doctrine-bundle ###

#for a web manage feature, not implemented yet
ADMIN_PASSWORD=$2y$13$nA.s6eglK0Uvmr9/Yq3YOOMi35qUpTmE0BkdQM1qkgtVYDqnjCYTi
